<?php
/**
* Header Options.
*
* @package Solar Energy Engine
*/

$solar_energy_engine_default = solar_energy_engine_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'solar_energy_engine_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'solar-energy-engine' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'solar_energy_engine_theme_option_panel',
	)
);

$wp_customize->add_setting('solar_energy_engine_sticky',
    array(
        'default' => $solar_energy_engine_default['solar_energy_engine_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'solar_energy_engine_sanitize_checkbox',
    )
);
$wp_customize->add_control('solar_energy_engine_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'solar-energy-engine'),
        'section' => 'solar_energy_engine_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('solar_energy_engine_header_button_ed',
    array(
        'default' => $solar_energy_engine_default['solar_energy_engine_header_button_ed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'solar_energy_engine_sanitize_checkbox',
    )
);
$wp_customize->add_control('solar_energy_engine_header_button_ed',
    array(
        'label' => esc_html__('Enable Header Button', 'solar-energy-engine'),
        'section' => 'solar_energy_engine_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_header_layout_button_text',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_header_layout_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'solar_energy_engine_header_layout_button_text',
    array(
    'label'    => esc_html__( 'Header Button Text', 'solar-energy-engine' ),
    'section'  => 'solar_energy_engine_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_header_layout_button_link',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'solar_energy_engine_header_layout_button_link',
    array(
    'label'    => esc_html__( 'Header Button Link', 'solar-energy-engine' ),
    'section'  => 'solar_energy_engine_button_header_setting',
    'type'     => 'url',
    )
); 

$wp_customize->add_setting('solar_energy_engine_menu_font_size',
    array(
        'default'           => $solar_energy_engine_default['solar_energy_engine_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'solar_energy_engine_sanitize_number_range',
    )
);
$wp_customize->add_control('solar_energy_engine_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'solar-energy-engine'),
        'section'     => 'solar_energy_engine_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'solar_energy_engine_menu_text_transform',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'solar_energy_engine_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'solar_energy_engine_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'solar-energy-engine' ),
    'section'     => 'solar_energy_engine_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'solar-energy-engine' ),
        'uppercase'  => esc_html__( 'Uppercase', 'solar-energy-engine' ),
        'lowercase'    => esc_html__( 'Lowercase', 'solar-energy-engine' ),
        ),
    )
);

$wp_customize->add_setting('solar_energy_engine_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'solar_energy_engine_header_menus_color', array(
    'label'    => __('Main Menu Color', 'solar-energy-engine'),
    'section'  => 'solar_energy_engine_button_header_setting',
)));

$wp_customize->add_setting('solar_energy_engine_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'solar_energy_engine_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'solar-energy-engine'),
    'section'  => 'solar_energy_engine_button_header_setting',
)));

$wp_customize->add_setting('solar_energy_engine_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'solar_energy_engine_header_submenus_color', array(
    'label'    => __('Submenu Color', 'solar-energy-engine'),
    'section'  => 'solar_energy_engine_button_header_setting',
)));

$wp_customize->add_setting('solar_energy_engine_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'solar_energy_engine_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'solar-energy-engine'),
    'section'  => 'solar_energy_engine_button_header_setting',
)));